Foxit PDF SDK

Public Member Functions | List of all members
foxit::fts::DocumentsSource Class Reference
Inheritance diagram for foxit::fts::DocumentsSource:

## Public Member Functions
| DocumentsSource (const char *directory)
| Constructor, with a directory. More...
| DocumentsSource (const DocumentsSource &other)
| Constructor, with another documents source object. More...
| ~DocumentsSource ()
| Destructor.
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const DocumentsSource &other) const
| Not equal operator. More...
DocumentsSource & | operator= (const DocumentsSource &other)
| Assign operator. More...
bool | operator== (const DocumentsSource &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class is used to represent a specified directory, which contains PDF files and user wants to search among these PDF files.

## Constructor & Destructor Documentation

## ◆ DocumentsSource() [1/2]

foxit::fts::DocumentsSource::DocumentsSource | ( | const char * | directory | ) |
| explicit

Constructor, with a directory.

Parameters

  [in] | directory | A path string that represents a directory.

## ◆ DocumentsSource() [2/2]

foxit::fts::DocumentsSource::DocumentsSource | ( | const DocumentsSource & | other | ) |

Constructor, with another documents source object.

Parameters

  [in] | other | Another documents source object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit::fts::DocumentsSource::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::fts::DocumentsSource::operator!= | ( | const DocumentsSource & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another documents source object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

DocumentsSource& foxit::fts::DocumentsSource::operator= | ( | const DocumentsSource & | other | ) |

Assign operator.

Parameters

  [in] | other | Another documents source object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::fts::DocumentsSource::operator== | ( | const DocumentsSource & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another documents source object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.